---
metadata:
  - name: generator
    content: Diplodoc Platform v5.63.0
alternate:
  - https://fleet.yandex.ru/docs/api/en/openapi/ContractorProfiles/v1PerformerCreate.md
  - https://fleet.yandex.ru/docs/api/ru/openapi/ContractorProfiles/v1PerformerCreate.md
  - href: https://fleet.yandex.ru/docs/api/en/openapi/ContractorProfiles/v1PerformerCreate.md
    type: text/markdown
    title: Markdown version
  - href: https://fleet.yandex.ru/docs/api/en/llms.txt?revision=r21515713
    rel: describedby
---
> **Documentation Index:** Fetch the complete configuration index at https://fleet.yandex.ru/docs/api/en/llms.txt?revision=r21515713

<div class="openapi">

#  Getting a list of contractor applications from the garage 

<!-- markdownlint-disable-file -->

 Eats courier and Platform profile creation 

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-post);margin-bottom: 12px">

<div class="openapi__request">

POST {.openapi__method}
```text translate=no
https://fleet-api.taxi.yandex.net/v1/performer/create
```

</div>

</div>

</div>

### Headers

#|
|| **Name** | **Description** ||
||

_Accept-Language_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Preferred language of the response 

_Min length:_{.json-schema-reset .json-schema-assertion} `2`

_Example:_{.json-schema-reset .json-schema-example} `ru`
{.table-cell}
||
||

_X-API-Key_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 API-key 

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Example:_{.json-schema-reset .json-schema-example} `<API key>`
{.table-cell}
||
||

_X-Client-ID_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Client ID 

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Example:_{.json-schema-reset .json-schema-example} `<Client ID>`
{.table-cell}
||
||

_X-Idempotency-Token_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Idempotent request token.
Must contain only printable ASCII characters 

_Min length:_{.json-schema-reset .json-schema-assertion} `16`

_Max length:_{.json-schema-reset .json-schema-assertion} `64`

_Example:_{.json-schema-reset .json-schema-example} `c56fa6537e5a4adbbce6ef3593210fb9`
{.table-cell}
||
||

_X-Park-ID_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Partner ID 

_Example:_{.json-schema-reset .json-schema-example} `ee6f33c4562b4e1f8646d157bd70b2c4`
{.table-cell}
||
|#{.json-schema-properties}

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "last_name": " Ivanov ",
  "first_name": " Ivan ",
  "middle_name": " Ivanovich ",
  "phone": "+79999999999",
  "region_geobase_id": 1,
  "birth_date": "1990-01-01",
  "registration_address": " Mira Street, 1 ",
  "instant_payments_id": "550e8400-e29b-41d4-a716-446655440000",
  "work_rule_id": "bc43tre6ba054dfdb7143ckfgvcby63e",
  "citizenship_code2": "RU",
  "employment_type": "park_direct",
  "tax_identification_number": "1234567890"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_birth_date_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;date&gt;

 Date of birth 

_Example:_{.json-schema-reset .json-schema-example} `1990-01-01`
{.table-cell}
||
||

_first_name_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Name 

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Example:_{.json-schema-reset .json-schema-example} ` Ivan `
{.table-cell}
||
||

_last_name_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Last name 

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Example:_{.json-schema-reset .json-schema-example} ` Ivanov `
{.table-cell}
||
||

_phone_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Phone number; for Russia - must be registered in My Tax 

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Example:_{.json-schema-reset .json-schema-example} `+79999999999`
{.table-cell}
||
||

_region_geobase_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

 City identifier in the geobase hierarchy 
{.table-cell}
||
||

_citizenship_code2_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

 Country code in ISO 3166-1 alpha-2 format 

_Pattern:_{.json-schema-reset .json-schema-assertion} `^[A-Z]{2}$`

_Example:_{.json-schema-reset .json-schema-example} `RU`
{.table-cell}
||
||

_employment_type_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

 Employment type. Can be park_direct (park direct staff) or courier_service (courier service employee in Fleet terms) 

_Enum:_{.json-schema-reset .json-schema-value} `park_direct`, `courier_service`
{.table-cell}
||
||

_instant_payments_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;uuid&gt;

 Instant payout rule identifier assigned to the courier. If not specified, the default rule configured for the partner is applied, if available 

_Example:_{.json-schema-reset .json-schema-example} `550e8400-e29b-41d4-a716-446655440000`
{.table-cell}
||
||

_middle_name_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

 Second name 

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Example:_{.json-schema-reset .json-schema-example} ` Ivanovich `
{.table-cell}
||
||

_registration_address_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

 Registration address. Required for Russia or when employment_type = park_direct in Kazakhstan 

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Example:_{.json-schema-reset .json-schema-example} ` Mira Street, 1 `
{.table-cell}
||
||

_tax_identification_number_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

 Courier's tax identification number in registration country. Required based on country and employment type 

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Example:_{.json-schema-reset .json-schema-example} `1234567890`
{.table-cell}
||
||

_work_rule_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

 Work condition identifier assigned to the courier. Value can be obtained via partner's work conditions list retrieval method 

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Example:_{.json-schema-reset .json-schema-example} `bc43tre6ba054dfdb7143ckfgvcby63e`
{.table-cell}
||
|#{.json-schema-properties}

</div>

## Responses

<div class="openapi__response__code__200">

## 200 OK

 Data of the created profile 

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "park_id": "ee6f33c4562b4e1f8646d157bd70b2c4",
  "contractor_id": "9b17db0cb1f24a38a5c3c8b4f6e4f63b",
  "polling_settings": {
    "polling_interval_ms": 0,
    "polling_timeout_sec": 0
  }
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_contractor_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Platform profile identifier 

_Example:_{.json-schema-reset .json-schema-example} `9b17db0cb1f24a38a5c3c8b4f6e4f63b`
{.table-cell}
||
||

_park_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Park profile identifier 

_Example:_{.json-schema-reset .json-schema-example} `ee6f33c4562b4e1f8646d157bd70b2c4`
{.table-cell}
||
||

_polling_settings_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**Type**: object" %}

#|
||

_polling_interval_ms_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

 Profile creation check API call frequency 

_Min value:_{.json-schema-reset .json-schema-assertion} `0`
{.table-cell}
||
||

_polling_timeout_sec_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

 Overall timeout for profile creation check API polling 

_Min value:_{.json-schema-reset .json-schema-assertion} `0`
{.table-cell}
||
|#{.json-schema-properties}

{% endcut %}

 Polling settings 

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "polling_interval_ms": 0,
  "polling_timeout_sec": 0
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

<div class="openapi__response__code__400">

## 400 Bad Request

 Invalid request parameters 

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "code": "example",
  "message": "Textual description of the error"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_message_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Human-readable error message 

_Example:_{.json-schema-reset .json-schema-example} `Textual description of the error`
{.table-cell}
||
||

_code_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

 Machine-readable error code 

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

<div class="openapi__response__code__422">

## 422 Unprocessable Entity

 Invalid request parameters 

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "code": "example",
  "message": "Textual description of the error"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_message_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Human-readable error message 

_Example:_{.json-schema-reset .json-schema-example} `Textual description of the error`
{.table-cell}
||
||

_code_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

 Machine-readable error code 

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.